Package edu.msu.cme.rdp.taxatree

# Class UnifracTree

java.lang.Object
edu.msu.cme.rdp.taxatree.ConcretRoot<UnifracTaxon>
edu.msu.cme.rdp.taxatree.UnifracTree

public class UnifracTree extends edu.msu.cme.rdp.taxatree.ConcretRoot<UnifracTaxon>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`UnifracTree.UnifracResult`

## Field Summary

### Fields inherited from class edu.msu.cme.rdp.taxatree.ConcretRoot

`root, taxonMap`

## Constructor Summary

Constructors
Constructor
Description
`UnifracTree()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addChild(UnifracTaxon child, int parentId)`
`void`
`addTaxon(int parent, int taxid, String name, MCSample sample, float bl)`
`UnifracTree.UnifracResult`
`computeUnifrac()`
`UnifracTree.UnifracResult`
`computeUnifracSig(int permutations, boolean weighted)`
`UnifracTree.UnifracResult`
`computeWeightedUnifrac()`
`void`
`printLeaves()`
`void`
`refreshInnerTaxa()`

### Methods inherited from class edu.msu.cme.rdp.taxatree.ConcretRoot

`biDirectionDepthFirst, getChild, getChildTaxon, getRootTaxid, getRootTaxonHodler, topDownVisit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnifracTree

public UnifracTree()

## Method Details

### computeUnifrac

public UnifracTree.UnifracResult computeUnifrac()

### computeUnifracSig

public UnifracTree.UnifracResult computeUnifracSig(int permutations, boolean weighted)

### computeWeightedUnifrac

public UnifracTree.UnifracResult computeWeightedUnifrac()

### printLeaves

public void printLeaves()

### addChild

public void addChild(UnifracTaxon child, int parentId)

Overrides:
  `addChild` in class `edu.msu.cme.rdp.taxatree.ConcretRoot<UnifracTaxon>`

### refreshInnerTaxa

public void refreshInnerTaxa()

### addTaxon

public void addTaxon(int parent, int taxid, String name, MCSample sample, float bl)